
extdesc="the Apache Jena Extension"

full_setup=`pwd`/${BASH_SOURCE}
fulldir=${full_setup%/*}
fulldir=${fulldir%/.}

if test -z $GSDLOS ; then
  GSDLOS=`uname -s | tr '[A-Z]' '[a-z]'`
  # check for running bash under Cygwin
  if test "`echo $GSDLOS | sed 's/cygwin//'`" != "$GSDLOS" ;
  then
    GSDLOS=windows
  fi
  # check for running bash under MinGW/MSys
  if test "`echo $GSDLOS | sed 's/mingw//'`" != "$GSDLOS" ;
  then
    GSDLOS=windows
  fi
  echo "GSDLOS was not set.  Setting it to '$GSDLOS'"
  export GSDLOS
fi


if [ "x$GEXT_JENA" = "x" ] ; then
  export GEXT_JENA=`pwd`
  export GEXT_JENA_INSTALLED=$GEXT_JENA/$GSDLOS 

  export FUSEKI_HOME=$GEXT_JENA
  export FUSEKI3_PORT=4040
  
  if [ -d "$GEXT_JENA/bin/script" ] ; then
    export PATH=$GEXT_JENA/bin/script:$PATH
  fi

  if [ -d "$GEXT_JENA/bin/script3" ] ; then
    export PATH=$GEXT_JENA/bin/script3:$PATH
  fi

  if [ -d "$GEXT_JENA_INSTALLED/bin" ] ; then
    export PATH=$GEXT_JENA_INSTALLED/bin:$PATH
  fi


  if [ -d "$GEXT_JENA/lib" ] ; then
    if [ "$GSDLOS" = "linux" ] ; then
      export LD_LIBRARY_PATH=$GEXT_JENA/lib:$LD_LIBRARY_PATH
    elif [ "$GSDLOS" = "darwin" ] ; then
      export DYLD_LIBRARY_PATH=$GEXT_JENA/lib:$DYLD_LIBRARY_PATH
    fi
  fi

  extdir=${GEXT_JENA##*/}

  if [ "x$GSDLEXTS" = "x" ] ; then
    export GSDLEXTS=$extdir
  else 
    export GSDLEXTS=$GSDLEXTS:$extdir
  fi


  echo "+Your environment is now setup for $extdesc"
else
  echo "+Your environment is already setup for $extdesc"
fi
